public class UnitTester {

    private Unit unit;

    public UnitTester() {
        unit = new Unit(1);
    }

    public boolean testSetAndGet() {
        int id = (Integer)unit.getProperty("id");
        if (id != 1) {
            return false;
        }
        unit.setProperty("name", "Ken");
        String name = (String)unit.getProperty("name");
        return name.equals("Ken");
    }

    public boolean testChangeProp() {
        unit.setProperty("name", "Ken");
        String name = (String)unit.getProperty("name");
        if (!name.equals("Ken")) {
            return false;
        }
        unit.setProperty("name", "Max");
        name = (String)unit.getProperty("name");
        return name.equals("Max");
    }

    public boolean testUndef() {
        String holyGrail = (String)unit.getProperty("InSearchOfThe");
        return holyGrail == null;
    }

    public static void main(String[] args) {
        UnitTester test = new UnitTester();
        System.out.println("Set and Get: " + getResult(test.testSetAndGet()));
        System.out.println("Change Prop: " + getResult(test.testChangeProp()));
        System.out.println("  Undefined: " + getResult(test.testUndef()));
    }

    private static String getResult(boolean status) {
        if (status) {
            return "PASSED";
        } else {
            return "FAILED";
        }
    }

}
